ListGslbsRegionalRoutingControl

1 - 1.1

get /v1/gslbs/routing-control

Description

GSLB Region 별 Resource 목록 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryregion
optional
GSLB Resource 위치
Example :
any of [string, null]None
querystatus
optional
GSLB Resource 사용 여부
Example :
any of [string, null]None
queryname
optional
GSLB 이름
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKGslbRoutingControlListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/routing-control

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = gslb 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "regional_gslbs": [
        {
            "algorithm": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "env_usage": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "linked_regional_resource_count": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "region": "",
            "status": ""
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}